# Interface NodesIcon

#### Hierarchy

- NodesIcon

#####
Index

### Properties

background
borderColor
borderRadius
borderWidth
color
height
initials
opacity
pattern
shape
source
svgClassName
svgStyle
width

## Properties

### background

background: string

The background of initials

### borderColor

borderColor: string

The border color of this icon.

### borderRadius

borderRadius: string

The border radius of this icon. CSS border-radius values accepted. Note that non-% values (including unitless) get interpreted as 'px'.

### borderWidth

borderWidth: number

The border width of this icon.

### color

color: string

The fill color of this icon.

### height

height: number

The height of this icon.

### initials

initials: string

The initials displayed for this icon.

### opacity

opacity: number

The opacity of this icon.

### pattern

pattern: string

The pattern of this icon.

### shape

shape: string

The shape of this icon. Can take the name of a built-in shape or the SVG path commands for a custom shape.

### source

source: string

The URL of an image to display for this icon.

### svgClassName

svgClassName: string

The CSS style class defining the style of this icon. Will not be applied if initials are specified.

### svgStyle

svgStyle: object

The CSS style object defining the style of this icon. Only SVG CSS style properties are supported. Will not be applied if initials are specified. The default value comes from the CSS and varies based on theme.

### width

width: number

The width of this icon.

Generated using TypeDoc